$secondary-color: #9A9A9A;

.book-list {
  display: flex;
  flex-direction: column;

  .row {
    display: flex;
    min-height: 50px;
    padding: 10px 15px;

    &.stripped {
      background-color: #FAF9F7;
    }

    &.heading-row {
      text-transform: uppercase;
      color: $secondary-color;
      font-weight: bold;
    }

    &.clickable {
      cursor: pointer;
    }

    .cell {
      display: flex;
      justify-content: center;         /*  center horiz. */
      align-items: center;             /*  center vert. */
      flex: 1;
      box-sizing: border-box;

      &:nth-child(1) {
        flex: 3;

        &.cell {
          justify-content: left;
          align-items: flex-start;
        }
      }
    }
  }

  .field-label-sm {
    display: none;
  }

  .book-image {
    width: 65px;
    height: 95px;
    border-radius: 5px;
    margin-right: 15px;
  }

  .book-title {
    font-weight: bold;
    margin-bottom: 5px;
  }

  .book-author {
    color: $secondary-color;
  }

  .book-stores {
    display: flex;
    flex-direction: column;

    .book-store-url {
      color: #BCD48B;
      font-weight: bold;
    }
  }

  .book-description {
    white-space: pre-line;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.6s linear;

    &.opened {
      max-height: 1200px;
    }
  }

  @media (max-width: 600px) {
    .row {
      display: block;

      &.heading-row {
        display: none;
      }

      .cell {
        display: block;
        text-align: center;
      }
    }

    .field-label-sm {
      display: inline-block;
      color: $secondary-color;
    }

    .book-title {
      margin-bottom: 0;
    }
    .book-author {
      margin-bottom: 5px;
    }

    .book-description.opened {
      max-height: 1800px;
    }
  }
}
